local metadata = {
"## Interface:FS17 1.4.4",
"## Title: cruiseLight",
"## Notes: See lua notes.",
"## Author: GTX MODS",
"## Version: 1.0",
"## Date: 13.04.2017",
"## Web: http://www.gtxmods.com/"
}

--[[

Credits:
cruiseLight.lua by GTX MODS

History:
V 1.0 @ 13.04.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > http://www.gtxmods.com/contact-us/

Can be used to display a symbol in cab when cruise controll is activated.
Best performance if mesh is set to no visability in the i3d.

EXAMPLE FOR XML:
<cruiseLights>
	<cruiseLight index= "0|0"/>
</cruiseLights>

]]

cruiseLight = {};

function cruiseLight.prerequisitesPresent(specializations)
	return true;
end;

function cruiseLight:load(xmlFile)
	self.cruiseLight = {};
	
	local node = "vehicle.cruiseLights.";
	self.cruiseLight = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."cruiseLight#index"));	
end;	
	
function cruiseLight:update(dt)
	if self.cruiseLight ~= nil then
		if self:getIsActive() then
			if self.isClient then
				if self.cruiseControl.state == Drivable.CRUISECONTROL_STATE_OFF 
					then setVisibility(self.cruiseLight, false);
					else setVisibility(self.cruiseLight, true);
				end;
			end;
		end;
	end;
end;
	
function cruiseLight:keyEvent(unicode, sym, modifier, isDown)
end;

function cruiseLight:draw()
end;

function cruiseLight:delete()
end;

function cruiseLight:mouseEvent(posX, posY, isDown, isUp, button)
end;